### Class

# Foundry GitCommit

#### Description

    final class Foundry.GitCommit : Foundry.VcsCommit
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryVcsCommit
- GObject

#### Instance methods

##### Methods inherited from FoundryVcsCommit (8)

###### foundry_vcs_commit_dup_author

No description available.

###### foundry_vcs_commit_dup_committer

No description available.

###### foundry_vcs_commit_dup_id

No description available.

###### foundry_vcs_commit_dup_title

No description available.

###### foundry_vcs_commit_get_n_parents

Counts the number of parents of the commit.

###### foundry_vcs_commit_load_delta

Loads the delta for a single file comparing this commit to its parent. This extracts the changes for `relative_path` from the commit’s parent commit.

###### foundry_vcs_commit_load_parent

No description available.

###### foundry_vcs_commit_load_tree

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryVcsCommit (4)

###### Foundry.VcsCommit:author

No description available.

###### Foundry.VcsCommit:committer

No description available.

###### Foundry.VcsCommit:id

No description available.

###### Foundry.VcsCommit:title

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitCommitClass {
      FoundryVcsCommitClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryVcsCommitClass`

  No description available.